core / TransactionForVerification / verify

# verify

`fun verify(programMap: ContractFactory): Unit`

Runs the contracts for this transaction.

TODO: Move this out of the core data structure definitions, once unit tests are more cleanly separated.

### Exceptions

`TransactionVerificationException` - if a contract throws an exception, the original is in the cause field
`IllegalStateException` - if a state refers to an unknown contract.